<!DOCTYPE html>
<html lang="en">

<head>
  <title>Modulo6U</title>

  <!-- Google Fonts -->
  <link href="https://fonts.googleapis.com/css?family=Nunito+Sans:300,400,800&display=swap" rel="stylesheet">

  <!--framework-->
  <link href="https://unpkg.com/tailwindcss@^1.0/dist/tailwind.min.css" rel="stylesheet">
</head>

<body>
  <div class="container mx-auto px-4" id="mod6">
    <div class="grid grid-cols-1">
      <div class="grid grid-flow-row auto-rows-max md:auto-rows-min">
        <div class="w-full max-w-lg" >
            <div class="w-full -mx-3 mb-6">
              <div class="w-full  px-3">
                <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2" for="grid-last-name">
                  Buscar Pais
                </label>
                <input v-model= "find" @keyup= "Buscar()" class="appearance-none block w-full bg-gray-200 text-gray-700 border border-gray-200 rounded py-3 px-4 leading-tight focus:outline-none focus:bg-white focus:border-gray-500" id="grid-last-name" type="text" placeholder="Buscando Pais...">
              </div>
            </div>
        </div>
      </div>

      <div class="grid grid-flow-row auto-rows-max md:auto-rows-min">
        <div class="w-full max-w-lg" >
          <div class="w-full -mx-3 mb-6">
            <div class="w-full  px-3">
              <label class="block uppercase tracking-wide text-gray-700 text-xs font-bold mb-2" for="grid-last-name">
                Filtro por Continente
              </label>
              <div class="inline-block relative w-64">
                <select @change="filtros(event)" class="block appearance-none w-full bg-white border border-gray-400 hover:border-gray-500 px-4 py-2 pr-8 rounded shadow leading-tight focus:outline-none focus:shadow-outline">
                  <option disabled selected>Seleccione un Continente</option>
                  <option value="Africa">Africa</option>
                  <option value="Americas">America</option>
                  <option value="Asia">Asia</option>
                  <option value="Europe">Europa</option>
                  <option value="Oceania">Oceania</option>
                </select>
                <div class="pointer-events-none absolute inset-y-0 right-0 flex items-center px-2 text-gray-700">
                  <svg class="fill-current h-4 w-4" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path d="M9.293 12.95l.707.707L15.657 8l-1.414-1.414L10 10.828 5.757 6.586 4.343 8z"/></svg>
                </div>
              </div>
              
            </div>
          </div>
      </div>
    </div>

    <div class="grid grid-cols-5">
      <div class="grid grid-flow-row p-2  md:auto-rows-min" v-for= "paises in majano">
         <!-- Probando -->
         <div class="max-w-sm rounded overflow-hidden shadow-lg">
          <img class="w-full" :src="paises.flag" alt="Sunset in the mountains">
          <div class="px-6 py-4">
            <div class="font-bold text-xl mb-2">{{paises.name}}</div>
            <li> Capital: {{paises.capital}} </li>
            <li> Sub-region {{paises.region}} </li>
            <li> Region: {{paises.subregion}} </li>
          </div>
          <div class="px-6 pt-4 pb-2">
            <span class="inline-block bg-blue-200 rounded-full px-5 py-0 text-sm font-semibold text-gray-800 mr-2 mb-2">poblacion {{paises.population}}</span>
          </div>
        </div>
      </div>     
    </div>
  </div>

  <!-- JQuery CDN -->
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>

  <!-- Bootstrap JS -->
  <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>

  <script src="https://cdn.jsdelivr.net/npm/clipboard@2/dist/clipboard.min.js"></script>
  <script src="index.js" charset="utf-8"></script>

  <script src="https://cdn.jsdelivr.net/npm/vue@2.6.12"></script>
  <script>
    Vue.config.devtools = true
    new Vue ({
     el:"#mod6",
     data: {
       majano: " ",
       find: " "
     },
     mounted: function () {
       this.Mostrar();
     },
     methods: {
      Buscar:function () {
        fetch(`https://restcountries.eu/rest/v2/name/${this.find}`)
        .then(res => res.json())
        .then(response => this.majano = response)
        .catch(function(error){
          console.log(error);
        });
        
      },

      Mostrar:function () {
        fetch("https://restcountries.eu/rest/v2/all")
        .then(rest=>rest.json())
        .then(response=>{
          this.majano=response
        })
        .catch(function(error){
          console.log(error);
        });
      },
      filtros: function (event) {
        fetch(`https://restcountries.eu/rest/v2/region/${event.target.value}`)
        .then(res => res.json())
        .then(response => this.majano = response)
        .catch(function(error){
          console.log(error);
        });
      }
    }
    });
  </script>
</body>
</html>
